#! /bin/bash

set -e

VERSION="1.3.2"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# temp lib
if [[ $(cat ./.github/release-canary-v3) == "6" ]]
then
	wget https://github.com/davidbannon/libqt6pas/releases/download/v6.2.8/libqt6pas6-dev_6.2.8-1_amd64.deb -O ./libqt6pas6-dev.deb
	wget https://github.com/davidbannon/libqt6pas/releases/download/v6.2.8/libqt6pas6_6.2.8-1_amd64.deb -O ./libqt6pas6.deb
	apt-get install ./libqt6pas6-dev.deb ./libqt6pas6.deb -y
fi

# Clone Upstream
git clone https://github.com/benjamimgois/goverlay -b "1.3-2"
cp -rvf ./debian ./goverlay
cd ./goverlay

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p goverlay_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
